Bug 3792 - Typo in setup-simple-ca
: Typo in setup-simple-ca
Status: RESOLVED FIXED
: Simple CA
Simple CA
: 4.0.1
: All All
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-09-28 21:49 by
Modified: 2008-08-11 15:51 (History)


Attachments
Proposed fix for Bug #3792 (474 bytes, patch)
2005-09-28 21:51, Keith Thompson
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-28 21:49:46
There's a typo on line 250 of the setup-simple-ca script.  It results in the
following error message:

.../setup/globus/setup-simple-ca: line 250: test: res: integer expression 
expected

I've reproduced this bug using the NMI 7.0 (Globus 4.0.0) and 8.0alpha1
(Globus 4.0.1) releases.

The bug was introduced in gsi/simple_ca/setup/setup-simple-ca revision 1.12,
which was a fix for Globus Bugzilla # 2825.

The fix is adding a single character.  I'll attach a patch.
------- Comment #1 From 2005-09-28 21:51:29 -------
Created an attachment (id=709) [details]
Proposed fix for Bug #3792
------- Comment #2 From 2005-10-10 17:09:29 -------
Fix committed to trunk
------- Comment #3 From 2005-10-10 17:19:20 -------
Fix committed to 4.0 branch as well